Skip to main content
PUT
/
clients
/
{client_id}
Update Client
curl --request PUT \
  --url https://api.everhour.com/clients/{client_id} \
  --header 'Content-Type: application/json' \
  --header 'X-Api-Key: <api-key>' \
  --data '
{
  "name": "Client Name",
  "projects": [
    "<string>"
  ],
  "businessDetails": "<string>"
}
'
{
  "id": 4567,
  "name": "Client Name",
  "projects": [
    "ev:1234567890"
  ],
  "businessDetails": "<string>",
  "budget": {
    "type": "money",
    "budget": 100000,
    "period": "general",
    "appliedFrom": "<string>",
    "disallowOverbudget": true,
    "excludeUnbillableTime": true,
    "excludeExpenses": true,
    "threshold": 123,
    "progress": 0
  }
}

Authorizations

X-Api-Key
string
header
required

Path Parameters

client_id
number
required

Client ID

Example:

107

Body

application/json
name
string
required
Example:

"Client Name"

projects
string[]

List of projects ID

businessDetails
string

Response

OK

id
number
required
Example:

4567

name
string
required
Example:

"Client Name"

projects
string[]
required

List of projects ID

Example:
["ev:1234567890"]
businessDetails
string | null
budget
object